.quantity {
    display: block;
    position: relative;
    height: 38px;
    $input-selector: "input[type=text], input[type=number]";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        z-index: 10;
        height: 38px;
        outline: none;
        color: #fff;
        text-align: center;
        font-weight: 400;
        font-size: 16px;
        line-height: 22px;
        padding: 7px 34px;
        position: relative;
        background: #222;
        display: block;
        border-radius: 30px;
        vertical-align: middle;
        border: 1px solid #222;
        @include placeholder(transparent);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            opacity: 1;
            outline: none;
            @include placeholder(transparent);

        }

        &.error {
            border-color: red !important;
        }
    }

    input[type="number"]::-webkit-outer-spin-button,
    input[type="number"]::-webkit-inner-spin-button {
        display: none;
    }

    &__button {
        top: 0;
        z-index: 20;
        color: white;
        font-size: 16px;
        line-height: 22px;
        border: none;
        outline: none;
        width: 22px;
        height: 38px;
        background: #222;
        cursor: pointer;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;


        &--minus {
            left: 12px;
        }

        &--plus {
            right: 12px;

        }
    }
}

